! T3X Runtime Extension: TTY Control
! Copyright (C) 1999,2000,2002 Nils M Holm. All rights reserved.
! See the file LICENSE for conditions of use.

module ttyctl();

public iclass ttyctl("ttyctl")

 ! key constants
 public const	K_HOME	= 327,
		K_LEFT	= 331,
		K_RIGHT	= 333,
		K_END	= 335,
		K_BKSP	= '\b',
		K_DEL	= 339,
		K_KILL	= 127,
		K_INS	= 338,
		K_CR	= '\r',
		K_UP	= 328,
		K_DOWN	= 336,
		K_ESC	= '\e',
		K_PGUP	= 329,
		K_PREV	= K_PGUP,
		K_PGDN	= 337,
		K_NEXT	= K_PGDN,
		K_F1	= 315,
		K_F2	= 316,
		K_F3	= 317,
		K_F4	= 318,
		K_F5	= 319,
		K_F6	= 320,
		K_F7	= 321,
		K_F8	= 322,
		K_F9	= 323,
		K_F10	= 324;

 ! color constants
 public const	F_BLACK		= 0,
		F_BLUE		= 1,
		F_GREEN		= 2,
		F_CYAN		= 3,
		F_RED		= 4,
		F_MAGENTA	= 5,
		F_YELLOW	= 6,
		F_GREY		= 7,
		F_BRIGHT	= 8,
		B_BLACK		= 0,
		B_BLUE		= 16,
		B_GREEN		= 32,
		B_CYAN		= 48,
		B_RED		= 64,
		B_MAGENTA	= 80,
		B_YELLOW	= 96,
		B_GREY		= 112;

 idecl init(0,0);
 idecl writec(1,0);
 idecl writes(1,1);
 idecl clear(0,0);
 idecl clreol(0,0);
 idecl color(1,0);
 idecl query(0,0);
 idecl readc(0,0);
 idecl move(2,0);
 idecl scroll(2,0);
 idecl rscroll(2,0);
 idecl mode(1,0);
 idecl fini(0,0);
 idecl lines(0,0);
 idecl columns(0,0);
 idecl colors(0,0);

end

do end
