@echo off

REM Configuration Batch File for DOS
REM Copyright (C) 2003 Nils M Holm. All Rights Reserved.
REM See the file LICENSE for conditions of use.

if not "%2" == "" goto usage
if "%1" == "" goto usage
goto ok

:usage
echo Usage: Config [{'build','boot',custom}]
goto quit

:ok
set SET=%1

if exist Mk-%SET% goto ok2
echo No such configuration: %SET%
goto quit

:ok2

REM fix symlinks

copy ..\Common-unix\t3x.c t3x.c

REM convert C source files to DOS text (CR,LF) format

crlf <t3x.c >..\..\compiler\t3x.c
crlf <sys.c >_
copy _ sys.c
crlf <tty.c >_
copy _ tty.c
crlf <..\..\compiler\tcode.h >_
copy _ ..\..\compiler\tcode.h
crlf <..\..\compiler\txx.c >_
copy _ ..\..\compiler\txx.c
crlf <..\..\compiler\txx.h >_
copy _ ..\..\compiler\txx.h
del _

copy Mk-%SET% ..\..\compiler\Makefile
copy Mk-%SET%.classes ..\..\classes\Makefile
copy Mk-%SET%.native ..\..\native\Makefile
copy Mk-%SET%.tools ..\..\tools\Makefile

if not %SET% == boot goto noboot
copy txrun.bat ..\..\tools\txrun.bat
:noboot

:quit
set SET=
