@echo off

REM Installation Batch File for DOS
REM Copyright (C) 2003 Nils M Holm. All Rights Reserved.
REM See the file LICENSE for conditions of use.

if x%1 == x goto end

set T3XDIR=%1

mkdir %1
mkdir %1\bin
mkdir %1\classes
mkdir %1\lib
mkdir %1\doc

echo char:>..\classes\char.ndx
echo iostream:t3x>..\classes\iostream.ndx
echo memory:t3x>..\classes\memory.ndx
echo string:t3x,char>..\classes\string.ndx
echo util:t3x,string,iostream>..\classes\util.ndx
echo system:t3x>..\classes\system.ndx
echo ttyctl:>..\classes\ttyctl.ndx
echo remove-me:>%1\classes\CLASSNDX

copy ..\Boot\txx.exe %1\bin\txx.exe

copy ..\compiler\txdpf.exe %1\bin
copy ..\compiler\txld.exe %1\bin
copy ..\compiler\txopt.exe %1\bin
copy ..\compiler\txtrn.exe %1\bin

..\tools\txcm -qi t3x
..\tools\txcm -qi tcode
..\tools\txcm -qi rtcode
cd ..\classes
..\tools\txcm -i char
..\tools\txcm -i iostream
..\tools\txcm -i memory
..\tools\txcm -i string
..\tools\txcm -i util
..\tools\txcm -i system
..\tools\txcm -i ttyctl
cd ..\compiler

copy ..\native\txcgexe.exe %1\bin\txcgexe.exe
copy ..\native\txcgexe.exe %1\bin\txcg86.exe
copy ..\native\txcgexe.exe %1\bin\txcgl.exe
copy ..\native\s86.exe %1\bin\s86.exe
copy ..\native\t3x.x %1\lib

copy ..\tools\tx.exe %1\bin\tx.exe
copy ..\tools\txcm.exe %1\bin\txcm.exe
copy ..\tools\txdump.exe %1\bin\txdump.exe
copy ..\tools\txprint.exe %1\bin\txprint.exe
copy ..\tools\txsum.exe %1\bin\txsum.exe
copy ..\tools\txprint.rules %1\txprint.rul
copy ..\tools\txmake.exe %1\bin\txmake.exe
copy ..\tools\txhelp.exe %1\bin\txhelp.exe

copy ..\docs\Booting.sd %1\doc
copy ..\docs\Bugs.sd %1\doc
copy ..\docs\Changes.sd %1\doc
copy ..\docs\FAQ.sd %1\doc
copy ..\LICENSE %1\doc
copy ..\README %1\doc
copy ..\docs\classes.sd %1\doc
copy ..\docs\compiler.sd %1\doc
copy ..\docs\extensions.sd %1\doc\extensio.sd
copy ..\docs\formats.sd %1\doc
copy ..\docs\mdesc.sd %1\doc
copy ..\docs\s86.sd %1\doc
copy ..\docs\sd.sd %1\doc
copy ..\docs\t3xref.sd %1\doc
copy ..\docs\utilities.sd %1\doc\utilitie.sd
copy ..\docs\sdtoc %1\doc
copy ..\docs\T3X.html %1\doc\T3X.htm

copy ..\ports\dos-exe\txrc %1\system.txr

echo.
echo Don't forget to define T3XDIR = %1
echo.

:end
