#!/bin/sh

rm -f	compiler/Makefile \
	classes/Makefile \
	native/Makefile \
	tools/Makefile

rm -f	compiler/t3x.c \
	compiler/sys.c \
	compiler/tty.c \
	classes/sys.c \
	classes/tty.c

rm -f ports/Generic-unix/t3x.c \
	ports/Generic-unix/sys.c \
	ports/Generic-unix/tty.c \

for portdir in \
	C-unix \
	coherent-386-coff \
	freebsd-386-aout \
	freebsd-386-elf \
	netbsd-386-elf \
	netbsd-alpha-elf \
	linux-386-elf
do
	for file in \
		t3x.c \
		sys.c \
		tty.c \
		txrc.dos \
		install.sh \
		txboot
	do
		rm -f ports/$portdir/$file
	done
done
