@echo off

if exist txtrn.t goto ok1

echo.
echo The 'fulldiff' script must be run in the COMPILER directory.
echo.

goto quit

:ok1

if exist %T3XDIR%\bin\txtrn.exe goto ok2

echo.
echo T3X must be installed in order to run a fulldiff.
echo.

goto quit

:ok2

make clean >NUL
echo Building stage #1
echo "----- Stage #1 -----" >Logfile
make >>Logfile
make install >NUL

copy Logfile Logfile.saf >NUL
make clean >NUL
copy Logfile.saf Logfile >NUL
echo Building stage #2
echo.>>Logfile
echo "----- Stage #2 -----" >>Logfile
make >>Logfile
make install >NUL

copy Logfile Logfile.saf >NUL
make clean >NUL
copy Logfile.saf Logfile >NUL
del Logfile.saf
echo Building stage #3
echo.>>Logfile
echo "----- Stage #3 -----" >>Logfile
make >>Logfile

cd ..\ports\dos-exe
tx -ml cmp.t
cd ..\..\compiler

echo.>>Logfile
echo "----- Diff -----" >>Logfile
..\ports\dos-exe\cmp.exe %1\bin\txhelp.exe ..\tools\txhelp.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\tx.exe ..\tools\tx.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txcgexe.exe ..\native\txcgexe.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\s86.exe ..\native\s86.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txcm.exe ..\tools\txcm.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txdpf.exe ..\compiler\txdpf.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txdump.exe ..\tools\txdump.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txld.exe ..\compiler\txld.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txmake.exe ..\tools\txmake.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txopt.exe ..\compiler\txopt.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txprint.exe ..\tools\txprint.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txsum.exe ..\tools\txsum.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\bin\txtrn.exe ..\compiler\txtrn.exe >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\t3x.cls ..\compiler\t3x.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\char.cls ..\classes\char.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\iostream.cls ..\classes\iostream.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\memory.cls ..\classes\memory.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\string.cls ..\classes\string.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\system.cls ..\classes\system.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\ttyctl.cls ..\classes\ttyctl.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\classes\util.cls ..\classes\util.cls >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\lib\t3x.x ..\native\t3x.x >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\lib\system.x ..\classes\system.x >>Logfile
if errorlevel==1 goto failed
..\ports\dos-exe\cmp.exe %1\lib\ttyctl.x ..\classes\ttyctl.x >>Logfile
if errorlevel==1 goto failed

del ..\ports\dos-exe\cmp.exe >NUL
echo.
echo Triple Test passed.
echo.
echo The production compiler is now installed.

goto quit

:failed

del ..\ports\dos-exe\cmp.exe >NUL
echo.
echo Triple Test FAILED.
echo.
echo See 'compiler/Logfile' for details.

:quit
